> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmix.com/llms.txt
> Use this file to discover all available pages before exploring further.

> OpenAI 호환 Responses API (Beta)

# 개요

<Warning>
  **Beta API**

  이 API는 현재 테스트 단계(Beta)이며 향후 큰 업데이트가 있을 수 있습니다. 프로덕션 환경에서 사용할 때는 주의하세요.
</Warning>

AIHubMix의 Responses API (Beta)는 GPT, Claude, GLM, Gemini 등 OpenAI Responses API와 호환되는 여러 모델에 액세스할 수 있는 통합 인터페이스를 제공합니다.

이 인터페이스는 다음과 같은 향상된 기능도 제공합니다:

* Reasoning (추론)
* Tool Calling (도구 호출)

## 기본 URL

```tex theme={null}
https://aihubmix.com/v1/responses
```

## 인증

모든 요청은 AIHubMix API Key를 통한 인증이 필요합니다.

<CodeGroup>
  ```python Python theme={null}
  import requests

  url = "https://aihubmix.com/v1/responses"

  headers = {
      "Authorization": "Bearer YOUR_AIHUBMIX_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
      "model": "claude-sonnet-4-6",
      "input": "Hello, world!"
  }

  response = requests.post(url, headers=headers, json=data)

  print(response.status_code)
  print(response.json())
  ```

  ```text TypeScript theme={null}
  const response = await fetch('https://aihubmix.com/v1/responses', {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer YOUR_AIHUBMIX_API_KEY',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({
      model: 'o4-mini',
      input: 'Hello, world!',
    }),
  });
  ```

  ```shellscript cURL theme={null}
  curl -X POST https://aihubmix.com/v1/responses \
    -H "Authorization: Bearer YOUR_AIHUBMIX_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "model": "o4-mini",
      "input": "Hello, world!"
    }'
  ```
</CodeGroup>

***

마지막 업데이트: 2026-06-01
